%global _empty_manifest_terminate_build 0
Name:           perl-Test-Output
Version:        1.033
Release:        1
Summary:        Utilities to test STDOUT and STDERR messages
License:        Artistic-2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Output/
Source0:        http://www.cpan.org/authors/id/B/BD/BDFOY/Test-Output-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(Capture::Tiny) >= 0.17
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp) >= 0.17
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Tester) >= 0.107
Requires:       perl(Capture::Tiny) >= 0.17
Requires:       perl(File::Temp) >= 0.17
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
Test::Output provides a simple interface for testing output sent to STDOUT
or STDERR. A number of different utilities are included to try and be as
flexible as possible to the tester.
%package help
Summary : Utilities to test STDOUT and STDERR messages
Provides: perl-Test-Output-doc
%description help
Test::Output provides a simple interface for testing output sent to STDOUT
or STDERR. A number of different utilities are included to try and be as
flexible as possible to the tester.
%prep
%setup -q -n Test-Output-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes INSTALL.SKIP LICENSE META.json
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Mon Jul 4 2022 caodongxia <caodongxia@h-partners.com> - 1.033-1
- Update to 1.033

* Tue Jun 16 2020 Perl_Bot <Perl_Bot@openeuler.org> 1.031-1
- Specfile autogenerated by Perl_Bot
